org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.RequestStatusResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.CollectionAdminResponse
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.RequestStatusResponse

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<T extends CollectionAdminResponse>

    public static class CollectionAdminRequest.RequestStatusResponse
    extends CollectionAdminResponse

A response object for `CollectionAdminRequest.RequestStatus` requests

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RequestStatusResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequestStatusState` `getRequestStatus()`

### Methods inherited from class org.apache.solr.client.solrj.response.CollectionAdminResponse

`getAliases, getAliasesAsLists, getCollectionCoresStatus, getCollectionNodesStatus, getCollectionStatus, getErrorMessages, getWarning, isSuccess`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, getException, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestStatusResponse

    public RequestStatusResponse()

### Method Detail

#### getRequestStatus

    public RequestStatusState getRequestStatus()